Error
A valid request URL is required to generate request examples{
"id": "onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9",
"items": [
{
"id": "onetime_offering_item.4df706b5-297a-49c5-a4cd-2a10eca12ff9",
"price": {
"amount": 50,
"currency": {
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"base_unit": 100
}
},
"description": "<string>",
"metadata": {}
}
],
"price": {
"amount": 50,
"currency": {
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"base_unit": 100
}
}
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": {
"message": "One-time offering not found",
"code": "onetime_offering_not_found"
}
}{
"error": {
"message": "This one-time offering has expired | This one-time offering was already consumed",
"code": "onetime_offering_expired | onetime_offering_already_consumed"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}Endpoints
Retrieve a one-time offering
Retrieves a one-time offering.
GET
/
onetime_offerings
/
{onetime_offering_id}
Error
A valid request URL is required to generate request examples{
"id": "onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9",
"items": [
{
"id": "onetime_offering_item.4df706b5-297a-49c5-a4cd-2a10eca12ff9",
"price": {
"amount": 50,
"currency": {
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"base_unit": 100
}
},
"description": "<string>",
"metadata": {}
}
],
"price": {
"amount": 50,
"currency": {
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"base_unit": 100
}
}
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": {
"message": "One-time offering not found",
"code": "onetime_offering_not_found"
}
}{
"error": {
"message": "This one-time offering has expired | This one-time offering was already consumed",
"code": "onetime_offering_expired | onetime_offering_already_consumed"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}Required Scopes
capi:read - Read access to Customer API resourcesAuthorizations
Supertab OAuth2 flow for CAPI. See Authentication.
FlowAuthorization Code
- Authorization URL
- https://auth.supertab.co/oauth2/auth
- Token URL
- https://auth.supertab.co/oauth2/token
Scopes1
capi:read
Access to view capi
Headers
The version of the Customer API you are using.
Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase.
Examples:
"live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"
"test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"
Path Parameters
An ID of a One-time Offering
Example:
"onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9"
Was this page helpful?